Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds
Interface AmazonRDS

All Known Subinterfaces:
  AmazonRDSAsync

All Known Implementing Classes:
  AmazonRDSAsyncClient, AmazonRDSClient

    public interface AmazonRDS

Interface for accessing AmazonRDS.

Amazon Relational Database Service (Amazon RDS) is a web service that makes it easier to set up, operate, and scale a relational database in the cloud. It provides cost-efficient, resizable capacity for an industry-standard relational database and manages common database administration tasks, freeing up developers to focus on what makes their applications and businesses unique.

Amazon RDS gives you access to the capabilities of a familiar MySQL database server. This means the code, applications, and tools you already use today with your existing MySQL databases work with Amazon RDS without modification. Amazon RDS automatically backs up your database and maintains the database software that powers your DB Instance. Amazon RDS is flexible: you can scale your database instance's compute resources and storage capacity to meet your application's demand. As with all Amazon Web Services, there are no up-front investments, and you pay only for the resources you use.

Method Summary
`DBSecurityGroup` | `authorizeDBSecurityGroupIngress(AuthorizeDBSecurityGroupIngressRequest authorizeDBSecurityGroupIngressRequest)` This API allows for ingress to a DBSecurityGroup using one of two forms of authorization.
`DBInstance` | `createDBInstance(CreateDBInstanceRequest createDBInstanceRequest)` This API creates a new DB instance.
`DBParameterGroup` | `createDBParameterGroup(CreateDBParameterGroupRequest createDBParameterGroupRequest)` This API creates a new database parameter group.
`DBSecurityGroup` | `createDBSecurityGroup(CreateDBSecurityGroupRequest createDBSecurityGroupRequest)` This API creates a new database security group.
`DBSnapshot` | `createDBSnapshot(CreateDBSnapshotRequest createDBSnapshotRequest)` This API is used to create a DBSnapshot.
`DBInstance` | `deleteDBInstance(DeleteDBInstanceRequest deleteDBInstanceRequest)` The DeleteDBInstance API deletes a previously provisioned RDS instance.
`void` | `deleteDBParameterGroup(DeleteDBParameterGroupRequest deleteDBParameterGroupRequest)` This API deletes a particular DBParameterGroup.
`void` | `deleteDBSecurityGroup(DeleteDBSecurityGroupRequest deleteDBSecurityGroupRequest)` This API deletes a database security group.
`DBSnapshot` | `deleteDBSnapshot(DeleteDBSnapshotRequest deleteDBSnapshotRequest)` This API is used to delete a DBSnapshot.
`DescribeDBInstancesResult` | `describeDBInstances()` This API is used to retrieve information about provisioned RDS instances.
`DescribeDBInstancesResult` | `describeDBInstances(DescribeDBInstancesRequest describeDBInstancesRequest)` This API is used to retrieve information about provisioned RDS instances.
`DescribeDBParameterGroupsResult` | `describeDBParameterGroups()` This API returns a list of DBParameterGroup descriptions.
`DescribeDBParameterGroupsResult` | `describeDBParameterGroups(DescribeDBParameterGroupsRequest describeDBParameterGroupsRequest)` This API returns a list of DBParameterGroup descriptions.
`DescribeDBParametersResult` | `describeDBParameters(DescribeDBParametersRequest describeDBParametersRequest)` This API returns the detailed parameter list for a particular DBParameterGroup.
`DescribeDBSecurityGroupsResult` | `describeDBSecurityGroups()` This API returns a list of DBSecurityGroup descriptions.
`DescribeDBSecurityGroupsResult` | `describeDBSecurityGroups(DescribeDBSecurityGroupsRequest describeDBSecurityGroupsRequest)` This API returns a list of DBSecurityGroup descriptions.
`DescribeDBSnapshotsResult` | `describeDBSnapshots()` This API is used to retrieve information about DBSnapshots.
`DescribeDBSnapshotsResult` | `describeDBSnapshots(DescribeDBSnapshotsRequest describeDBSnapshotsRequest)` This API is used to retrieve information about DBSnapshots.
`EngineDefaults` | `describeEngineDefaultParameters(DescribeEngineDefaultParametersRequest describeEngineDefaultParametersRequest)` This API returns the default engine and system parameter information for the specified database engine.
`DescribeEventsResult` | `describeEvents()` This API returns events related to DB Instances, DB Security Groups, DB Snapshots and DB Parameter Groups for the past 14 das.
`DescribeEventsResult` | `describeEvents(DescribeEventsRequest describeEventsRequest)` This API returns events related to DB Instances, DB Security Groups, DB Snapshots and DB Parameter Groups for the past 14 das.
`DBInstance` | `modifyDBInstance(ModifyDBInstanceRequest modifyDBInstanceRequest)` This API is used to change RDS Instance settings.
`ModifyDBParameterGroupResult` | `modifyDBParameterGroup(ModifyDBParameterGroupRequest modifyDBParameterGroupRequest)` This API modifies the parameters of a DBParameterGroup.
`DBInstance` | `rebootDBInstance(RebootDBInstanceRequest rebootDBInstanceRequest)` The RebootDBInstance API reboots a previously provisioned RDS instance.
`ResetDBParameterGroupResult` | `resetDBParameterGroup(ResetDBParameterGroupRequest resetDBParameterGroupRequest)` This API modifies the parameters of a DBParameterGroup to the engine/system default value.
`DBInstance` | `restoreDBInstanceFromDBSnapshot(RestoreDBInstanceFromDBSnapshotRequest restoreDBInstanceFromDBSnapshotRequest)` This API creates a new DB Instance to an arbitrary point-in-time.
`DBInstance` | `restoreDBInstanceToPointInTime(RestoreDBInstanceToPointInTimeRequest restoreDBInstanceToPointInTimeRequest)` This API creates a new RDS instance from a point-in-time system snapshot.
`DBSecurityGroup` | `revokeDBSecurityGroupIngress(RevokeDBSecurityGroupIngressRequest revokeDBSecurityGroupIngressRequest)` This API revokes ingress from a DBSecurityGroup for previously authorized IP ranges or EC2 Security Groups.
`void` | `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("https://rds.amazonaws.com").
`void` | `shutdown()` Shuts down this client object, releasing any resources that might be held open.

Method Detail

### setEndpoint

    void setEndpoint(String endpoint)
                     throws IllegalArgumentException

  Overrides the default endpoint for this client ("https://rds.amazonaws.com"). Callers can use this method to control which AWS region they want to work with.

  Callers can pass in just the endpoint (ex: "ec2.amazonaws.com") or a full URL, including the protocol (ex: "https://ec2.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

  For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

  Parameters:
    `endpoint` - The endpoint (ex: "ec2.amazonaws.com") or a full URL, including the protocol (ex: "https://ec2.amazonaws.com") of the region specific AWS endpoint this client will communicate with.
  Throws:
    `IllegalArgumentException` - If any problems are detected with the specified endpoint.

### describeDBSecurityGroups

    DescribeDBSecurityGroupsResult describeDBSecurityGroups(DescribeDBSecurityGroupsRequest describeDBSecurityGroupsRequest)
                                                            throws AmazonServiceException,
                                                                   AmazonClientException

  This API returns a list of DBSecurityGroup descriptions. If a DBSecurityGroupName is specified, the list will contain only the descriptions of the specified DBSecurityGroup.

  Parameters:
    `describeDBSecurityGroupsRequest` - Container for the necessary parameters to execute the DescribeDBSecurityGroups service method on AmazonRDS.
  Returns:
    The response from the DescribeDBSecurityGroups service method, as returned by AmazonRDS.
  Throws:
    `DBSecurityGroupNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### restoreDBInstanceFromDBSnapshot

    DBInstance restoreDBInstanceFromDBSnapshot(RestoreDBInstanceFromDBSnapshotRequest restoreDBInstanceFromDBSnapshotRequest)
                                               throws AmazonServiceException,
                                                      AmazonClientException

  This API creates a new DB Instance to an arbitrary point-in-time. Users can restore to any point in time before the latestRestorableTime for up to backupRetentionPeriod days. The target database is created from the source database with the same configuration as the original database except that the DB instance is created with the default DB security group.

  Parameters:
    `restoreDBInstanceFromDBSnapshotRequest` - Container for the necessary parameters to execute the RestoreDBInstanceFromDBSnapshot service method on AmazonRDS.
  Returns:
    The response from the RestoreDBInstanceFromDBSnapshot service method, as returned by AmazonRDS.
  Throws:
    `InstanceQuotaExceededException`
    `DBInstanceAlreadyExistsException`
    `StorageQuotaExceededException`
    `InvalidDBSnapshotStateException`
    `InsufficientDBInstanceCapacityException`
    `DBSnapshotNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### modifyDBInstance

    DBInstance modifyDBInstance(ModifyDBInstanceRequest modifyDBInstanceRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  This API is used to change RDS Instance settings. Users call the ModifyDBInstance API to change one or more database configuration parameters by specifying these parameters and the new values in the request.

  Parameters:
    `modifyDBInstanceRequest` - Container for the necessary parameters to execute the ModifyDBInstance service method on AmazonRDS.
  Returns:
    The response from the ModifyDBInstance service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `DBInstanceNotFoundException`
    `InvalidDBInstanceStateException`
    `DBSecurityGroupNotFoundException`
    `InvalidDBSecurityGroupStateException`
    `InsufficientDBInstanceCapacityException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### createDBParameterGroup

    DBParameterGroup createDBParameterGroup(CreateDBParameterGroupRequest createDBParameterGroupRequest)
                                            throws AmazonServiceException,
                                                   AmazonClientException

  This API creates a new database parameter group.

  Parameters:
    `createDBParameterGroupRequest` - Container for the necessary parameters to execute the CreateDBParameterGroup service method on AmazonRDS.
  Returns:
    The response from the CreateDBParameterGroup service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupQuotaExceededException`
    `DBParameterGroupAlreadyExistsException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### deleteDBSecurityGroup

    void deleteDBSecurityGroup(DeleteDBSecurityGroupRequest deleteDBSecurityGroupRequest)
                               throws AmazonServiceException,
                                      AmazonClientException

  This API deletes a database security group. Database security group must not be associated with any RDS Instances.

  Parameters:
    `deleteDBSecurityGroupRequest` - Container for the necessary parameters to execute the DeleteDBSecurityGroup service method on AmazonRDS.
  Throws:
    `DBSecurityGroupNotFoundException`
    `InvalidDBSecurityGroupStateException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### createDBInstance

    DBInstance createDBInstance(CreateDBInstanceRequest createDBInstanceRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  This API creates a new DB instance.

  Parameters:
    `createDBInstanceRequest` - Container for the necessary parameters to execute the CreateDBInstance service method on AmazonRDS.
  Returns:
    The response from the CreateDBInstance service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `InstanceQuotaExceededException`
    `DBInstanceAlreadyExistsException`
    `StorageQuotaExceededException`
    `DBSecurityGroupNotFoundException`
    `InsufficientDBInstanceCapacityException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### createDBSecurityGroup

    DBSecurityGroup createDBSecurityGroup(CreateDBSecurityGroupRequest createDBSecurityGroupRequest)
                                          throws AmazonServiceException,
                                                 AmazonClientException

  This API creates a new database security group. Database Security groups control access to a database instance.

  Parameters:
    `createDBSecurityGroupRequest` - Container for the necessary parameters to execute the CreateDBSecurityGroup service method on AmazonRDS.
  Returns:
    The response from the CreateDBSecurityGroup service method, as returned by AmazonRDS.
  Throws:
    `DBSecurityGroupQuotaExceededException`
    `DBSecurityGroupAlreadyExistsException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### rebootDBInstance

    DBInstance rebootDBInstance(RebootDBInstanceRequest rebootDBInstanceRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  The RebootDBInstance API reboots a previously provisioned RDS instance. This API results in the application of modified DBParameterGroup parameters with ApplyStatus of pending-reboot to the RDS instance. This action is taken as soon as possible, and results in a momentary outage to the RDS instance during which the RDS instance status is set to rebooting. A DBInstance event is created when the reboot is completed.

  Parameters:
    `rebootDBInstanceRequest` - Container for the necessary parameters to execute the RebootDBInstance service method on AmazonRDS.
  Returns:
    The response from the RebootDBInstance service method, as returned by AmazonRDS.
  Throws:
    `DBInstanceNotFoundException`
    `InvalidDBInstanceStateException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### authorizeDBSecurityGroupIngress

    DBSecurityGroup authorizeDBSecurityGroupIngress(AuthorizeDBSecurityGroupIngressRequest authorizeDBSecurityGroupIngressRequest)
                                                    throws AmazonServiceException,
                                                           AmazonClientException

  This API allows for ingress to a DBSecurityGroup using one of two forms of authorization. First, EC2 Security Groups can be added to the DBSecurityGroup if the application using the database is running on EC2 instances. Second, IP ranges are available if the application accessing your database is running on the Internet. Required parameters for this API are one of CIDR range or (EC2SecurityGroupName AND EC2SecurityGroupOwnerId).

  Parameters:
    `authorizeDBSecurityGroupIngressRequest` - Container for the necessary parameters to execute the AuthorizeDBSecurityGroupIngress service method on AmazonRDS.
  Returns:
    The response from the AuthorizeDBSecurityGroupIngress service method, as returned by AmazonRDS.
  Throws:
    `DBSecurityGroupNotFoundException`
    `InvalidDBSecurityGroupStateException`
    `AuthorizationAlreadyExistsException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### deleteDBSnapshot

    DBSnapshot deleteDBSnapshot(DeleteDBSnapshotRequest deleteDBSnapshotRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  This API is used to delete a DBSnapshot. The DBSnapshot must be in the "available" state to be deleted.

  Parameters:
    `deleteDBSnapshotRequest` - Container for the necessary parameters to execute the DeleteDBSnapshot service method on AmazonRDS.
  Returns:
    The response from the DeleteDBSnapshot service method, as returned by AmazonRDS.
  Throws:
    `InvalidDBSnapshotStateException`
    `DBSnapshotNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### deleteDBParameterGroup

    void deleteDBParameterGroup(DeleteDBParameterGroupRequest deleteDBParameterGroupRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  This API deletes a particular DBParameterGroup. The DBParameterGroup cannot be associated with any RDS instances to be deleted.

  Parameters:
    `deleteDBParameterGroupRequest` - Container for the necessary parameters to execute the DeleteDBParameterGroup service method on AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `InvalidDBParameterGroupStateException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeEvents

    DescribeEventsResult describeEvents(DescribeEventsRequest describeEventsRequest)
                                        throws AmazonServiceException,
                                               AmazonClientException

  This API returns events related to DB Instances, DB Security Groups, DB Snapshots and DB Parameter Groups for the past 14 das. Events specific to a particular DB Instance, database security group, database snapshot or database parameter group can be obtained by providing the name as a parameter. By default, the past hour of events are returned.

  Parameters:
    `describeEventsRequest` - Container for the necessary parameters to execute the DescribeEvents service method on AmazonRDS.
  Returns:
    The response from the DescribeEvents service method, as returned by AmazonRDS.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBInstances

    DescribeDBInstancesResult describeDBInstances(DescribeDBInstancesRequest describeDBInstancesRequest)
                                                  throws AmazonServiceException,
                                                         AmazonClientException

  This API is used to retrieve information about provisioned RDS instances. DescribeDBInstances supports pagination.

  Parameters:
    `describeDBInstancesRequest` - Container for the necessary parameters to execute the DescribeDBInstances service method on AmazonRDS.
  Returns:
    The response from the DescribeDBInstances service method, as returned by AmazonRDS.
  Throws:
    `DBInstanceNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBParameterGroups

    DescribeDBParameterGroupsResult describeDBParameterGroups(DescribeDBParameterGroupsRequest describeDBParameterGroupsRequest)
                                                              throws AmazonServiceException,
                                                                     AmazonClientException

  This API returns a list of DBParameterGroup descriptions. If a DBParameterGroupName is specified, the list will contain only the descriptions of the specified DBParameterGroup.

  Parameters:
    `describeDBParameterGroupsRequest` - Container for the necessary parameters to execute the DescribeDBParameterGroups service method on AmazonRDS.
  Returns:
    The response from the DescribeDBParameterGroups service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeEngineDefaultParameters

    EngineDefaults describeEngineDefaultParameters(DescribeEngineDefaultParametersRequest describeEngineDefaultParametersRequest)
                                                   throws AmazonServiceException,
                                                          AmazonClientException

  This API returns the default engine and system parameter information for the specified database engine.

  Parameters:
    `describeEngineDefaultParametersRequest` - Container for the necessary parameters to execute the DescribeEngineDefaultParameters service method on AmazonRDS.
  Returns:
    The response from the DescribeEngineDefaultParameters service method, as returned by AmazonRDS.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### modifyDBParameterGroup

    ModifyDBParameterGroupResult modifyDBParameterGroup(ModifyDBParameterGroupRequest modifyDBParameterGroupRequest)
                                                        throws AmazonServiceException,
                                                               AmazonClientException

  This API modifies the parameters of a DBParameterGroup. To modify more than one parameter submit a list of the following: ParameterName, ParameterValue, and ApplyMethod. A maximum of 20 parameters can be modified in a single request.

  Parameters:
    `modifyDBParameterGroupRequest` - Container for the necessary parameters to execute the ModifyDBParameterGroup service method on AmazonRDS.
  Returns:
    The response from the ModifyDBParameterGroup service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `InvalidDBParameterGroupStateException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBSnapshots

    DescribeDBSnapshotsResult describeDBSnapshots(DescribeDBSnapshotsRequest describeDBSnapshotsRequest)
                                                  throws AmazonServiceException,
                                                         AmazonClientException

  This API is used to retrieve information about DBSnapshots. This API supports pagination.

  Parameters:
    `describeDBSnapshotsRequest` - Container for the necessary parameters to execute the DescribeDBSnapshots service method on AmazonRDS.
  Returns:
    The response from the DescribeDBSnapshots service method, as returned by AmazonRDS.
  Throws:
    `DBSnapshotNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### resetDBParameterGroup

    ResetDBParameterGroupResult resetDBParameterGroup(ResetDBParameterGroupRequest resetDBParameterGroupRequest)
                                                      throws AmazonServiceException,
                                                             AmazonClientException

  This API modifies the parameters of a DBParameterGroup to the engine/system default value. To reset specific parameters submit a list of the following: ParameterName and ApplyMethod. To reset the entire DBParameterGroup specify the DBParameterGroup name and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next MySQL reboot or RebootDBInstance request.

  Parameters:
    `resetDBParameterGroupRequest` - Container for the necessary parameters to execute the ResetDBParameterGroup service method on AmazonRDS.
  Returns:
    The response from the ResetDBParameterGroup service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `InvalidDBParameterGroupStateException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBParameters

    DescribeDBParametersResult describeDBParameters(DescribeDBParametersRequest describeDBParametersRequest)
                                                    throws AmazonServiceException,
                                                           AmazonClientException

  This API returns the detailed parameter list for a particular DBParameterGroup.

  Parameters:
    `describeDBParametersRequest` - Container for the necessary parameters to execute the DescribeDBParameters service method on AmazonRDS.
  Returns:
    The response from the DescribeDBParameters service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### deleteDBInstance

    DBInstance deleteDBInstance(DeleteDBInstanceRequest deleteDBInstanceRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  The DeleteDBInstance API deletes a previously provisioned RDS instance. A successful response from the web service indicates the request was received correctly. If a final DBSnapshot is requested the status of the RDS instance will be "deleting" until the DBSnapshot is created. DescribeDBInstance is used to monitor the status of this operation. This cannot be canceled or reverted once submitted.

  Parameters:
    `deleteDBInstanceRequest` - Container for the necessary parameters to execute the DeleteDBInstance service method on AmazonRDS.
  Returns:
    The response from the DeleteDBInstance service method, as returned by AmazonRDS.
  Throws:
    `DBInstanceNotFoundException`
    `InvalidDBInstanceStateException`
    `SnapshotQuotaExceededException`
    `DBSnapshotAlreadyExistsException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### restoreDBInstanceToPointInTime

    DBInstance restoreDBInstanceToPointInTime(RestoreDBInstanceToPointInTimeRequest restoreDBInstanceToPointInTimeRequest)
                                              throws AmazonServiceException,
                                                     AmazonClientException

  This API creates a new RDS instance from a point-in-time system snapshot. The target database is created from the source database restore point with the same configuration as the original source database, except that the new RDS instance is created with the default security group.

  Parameters:
    `restoreDBInstanceToPointInTimeRequest` - Container for the necessary parameters to execute the RestoreDBInstanceToPointInTime service method on AmazonRDS.
  Returns:
    The response from the RestoreDBInstanceToPointInTime service method, as returned by AmazonRDS.
  Throws:
    `PointInTimeRestoreNotEnabledException`
    `InstanceQuotaExceededException`
    `DBInstanceAlreadyExistsException`
    `DBInstanceNotFoundException`
    `StorageQuotaExceededException`
    `InvalidDBInstanceStateException`
    `InsufficientDBInstanceCapacityException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### createDBSnapshot

    DBSnapshot createDBSnapshot(CreateDBSnapshotRequest createDBSnapshotRequest)
                                throws AmazonServiceException,
                                       AmazonClientException

  This API is used to create a DBSnapshot. The source DBInstance must be in "available" state.

  Parameters:
    `createDBSnapshotRequest` - Container for the necessary parameters to execute the CreateDBSnapshot service method on AmazonRDS.
  Returns:
    The response from the CreateDBSnapshot service method, as returned by AmazonRDS.
  Throws:
    `DBInstanceNotFoundException`
    `InvalidDBInstanceStateException`
    `SnapshotQuotaExceededException`
    `DBSnapshotAlreadyExistsException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### revokeDBSecurityGroupIngress

    DBSecurityGroup revokeDBSecurityGroupIngress(RevokeDBSecurityGroupIngressRequest revokeDBSecurityGroupIngressRequest)
                                                 throws AmazonServiceException,
                                                        AmazonClientException

  This API revokes ingress from a DBSecurityGroup for previously authorized IP ranges or EC2 Security Groups. Required parameters for this API are one of CIDRIP or (EC2SecurityGroupName AND EC2SecurityGroupOwnerId).

  Parameters:
    `revokeDBSecurityGroupIngressRequest` - Container for the necessary parameters to execute the RevokeDBSecurityGroupIngress service method on AmazonRDS.
  Returns:
    The response from the RevokeDBSecurityGroupIngress service method, as returned by AmazonRDS.
  Throws:
    `DBSecurityGroupNotFoundException`
    `InvalidDBSecurityGroupStateException`
    `AuthorizationNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBSecurityGroups

    DescribeDBSecurityGroupsResult describeDBSecurityGroups()
                                                            throws AmazonServiceException,
                                                                   AmazonClientException

  This API returns a list of DBSecurityGroup descriptions. If a DBSecurityGroupName is specified, the list will contain only the descriptions of the specified DBSecurityGroup.

  Returns:
    The response from the DescribeDBSecurityGroups service method, as returned by AmazonRDS.
  Throws:
    `DBSecurityGroupNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeEvents

    DescribeEventsResult describeEvents()
                                        throws AmazonServiceException,
                                               AmazonClientException

  This API returns events related to DB Instances, DB Security Groups, DB Snapshots and DB Parameter Groups for the past 14 das. Events specific to a particular DB Instance, database security group, database snapshot or database parameter group can be obtained by providing the name as a parameter. By default, the past hour of events are returned.

  Returns:
    The response from the DescribeEvents service method, as returned by AmazonRDS.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBInstances

    DescribeDBInstancesResult describeDBInstances()
                                                  throws AmazonServiceException,
                                                         AmazonClientException

  This API is used to retrieve information about provisioned RDS instances. DescribeDBInstances supports pagination.

  Returns:
    The response from the DescribeDBInstances service method, as returned by AmazonRDS.
  Throws:
    `DBInstanceNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBParameterGroups

    DescribeDBParameterGroupsResult describeDBParameterGroups()
                                                              throws AmazonServiceException,
                                                                     AmazonClientException

  This API returns a list of DBParameterGroup descriptions. If a DBParameterGroupName is specified, the list will contain only the descriptions of the specified DBParameterGroup.

  Returns:
    The response from the DescribeDBParameterGroups service method, as returned by AmazonRDS.
  Throws:
    `DBParameterGroupNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### describeDBSnapshots

    DescribeDBSnapshotsResult describeDBSnapshots()
                                                  throws AmazonServiceException,
                                                         AmazonClientException

  This API is used to retrieve information about DBSnapshots. This API supports pagination.

  Returns:
    The response from the DescribeDBSnapshots service method, as returned by AmazonRDS.
  Throws:
    `DBSnapshotNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonRDS indicating either a problem with the data in the request, or a server side issue.

### shutdown

    void shutdown()

  Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.